Bug 850148 - Introduce new systemd-rpm macros in hostapd spec file
Introduce new systemd-rpm macros in hostapd spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: hostapd (Show other bugs)
19
All Linux
medium Severity medium
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 09:41 EDT by Lukáš Nykrýn
Modified: 2013-06-11 23:35 EDT (History)
1 user (show)

See Also:
Fixed In Version: hostapd-2.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 23:35:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 09:41:28 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2013-05-30 14:32:18 EDT
hostapd-2.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/hostapd-2.0-1.fc19
Comment 2 Fedora Update System 2013-05-31 14:08:11 EDT
Package hostapd-2.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing hostapd-2.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-9724/hostapd-2.0-1.fc19
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2013-06-11 23:35:14 EDT
hostapd-2.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.